<html>
<body bgcolor=#000000>

<!-- plugin inclusion with object structure and no theme -->
<div align="center">
	<object
		id="object1"
		width="200"
		height="200"
		type="application/edje"
		data="test.edj"
		group="main"
		theme="none"
	/>
</div>

<!-- plugin inclusion with object structure and user theme -->
<div align="center">
	<object
		id="object2"
		width="250"
		height="250"
		type="application/edje"
		data="test.edj"
		group="main"
		theme="user"
	/>
</div>

<!-- plugin inclusion with embed structure and custom theme -->
<div align="center">
	<embed
		id="object3"
		width="300"
		height="300"
		type="application/edje"
		data="test.edj"
		group="main"
		theme="custom.edj"
	/>
</div>

<script>
	var object1 = document.getElementById ('object1');
	var object2 = document.getElementById ('object2');
	var object3 = document.getElementById ('object3');

	object1.frametime = 1.0 / 10;

	function foo (signal, sender)
	{
		alert("function foo(" + signal + ") called!");
	}
</script>

<div>
	<form name="myform">
		<input
			name="signal"
			type="text"
			value=""
		\>
		<input
			name="sender"
			type="text"
			value=""
		\>
		<input
			type="button"
			value="signal_emit"
			onclick="object1.signal_emit (this.form.signal.value, this.form.sender.value)"
		/>
		<input
			type="button"
			value="signal_callback_add"
			onclick="object1.signal_callback_add (this.form.signal.value, this.form.sender.value, 'foo')"
		/>
		<input
			type="button"
			value="edje_object_text_set"
			onclick="object1.title.text = this.form.signal.value"
		/>
	</form>
</div>

</body>
</html>

